Click or drag to resize

BrepCreateFromJoinedEdges Method

Joins two naked edges, or edges that are coincident or close together, from two Breps.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep CreateFromJoinedEdges(
	Brep brep0,
	int edgeIndex0,
	Brep brep1,
	int edgeIndex1,
	double joinTolerance
)

Parameters

brep0
Type: Rhino.GeometryBrep
The first Brep.
edgeIndex0
Type: SystemInt32
The edge index on the first Brep.
brep1
Type: Rhino.GeometryBrep
The second Brep.
edgeIndex1
Type: SystemInt32
The edge index on the second Brep.
joinTolerance
Type: SystemDouble
The join tolerance.

Return Value

Type: Brep
The resulting Brep if successful, null on failure.
Version Information

Rhino for Windows

Supported in: 6.4
See Also